Subject: [bug#31957] [PATCH] gnu: Add python-libusb1.

From: Marius Bakke <[email-masked]>
Date: Tue, 26 Jun 2018 23:39:46 +0200

Vagrant Cascadian <[email-masked]> writes:

> On 2018-06-25, Marius Bakke wrote:
>> Vagrant Cascadian <[email-masked]> writes:
>>
>>> Add new package definition for python-libusb1, needed to upgrade
>>> python-trezor to newer versions.
>>
>> Thanks!  I have some minor nitpicks:
> ...
>> Can you send an updated patch?  Thanks in advance!
>
> Updated patch attached:
>
> - Add myself to copyright headers
> - Drop unused srfi-26
> - Remove needless line break
> - Flesh out description a bit...
> - Remove COPYING file, which didn't match the licensing of the files
>
> The removal of COPYING was pretty much a shotgun-style approach, but I
> couldn't figure out how to do a more surgical removal, and there weren't
> any other COPYING files in the source.
>
> The description could probably be further improved... but that's as far
> as I got for now... :)

Thanks!  Applied with these cosmetic changes (mostly to please `guix lint`):

1 file changed, 5 insertions(+), 5 deletions(-)
gnu/packages/libusb.scm | 10 +++++-----

modified   gnu/packages/libusb.scm
@@ -235,9 +235,9 @@ implementing @code{javax.usb} (JSR-80).")
        (modify-phases %standard-phases
          (add-before 'install-license-files 'remove-incorrect-license
            (lambda* (#:key out #:allow-other-keys)
-             ;; Was reliscensed to LGPL 2.1+, but old COPYING file still left
+             ;; Was relicensed to LGPL 2.1+, but old COPYING file still left
              ;; in source. Remove it so it does not get installed.
-             (delete-file-recursively "COPYING")
+             (delete-file "COPYING")
              #t))
          (add-after 'unpack 'fix-libusb-reference
            (lambda* (#:key inputs #:allow-other-keys)
@@ -251,11 +251,11 @@ implementing @code{javax.usb} (JSR-80).")
                  "\"")))
              #t)))))
     (inputs `(("libusb" ,libusb)))
-    (home-page "http://github.com/vpelletier/python-libusb1")
+    (home-page "https://github.com/vpelletier/python-libusb1")
     (synopsis "Pure-python wrapper for libusb-1.0")
     (description "Libusb is a library that gives applications easy access to
-USB devices on various operating systems. This is a python wrapper for
-acessing libusb-1.0")
+USB devices on various operating systems.  This package provides a Python
+wrapper for accessing libusb-1.0.")
     (license lgpl2.1+)))
 
 (define-public python-pyusb

[back]